Skip to main content
POST
Run a command

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

containerId
string
required

Body

application/json
command
string
cwd
string
env
object
wait
boolean
secrets
string[]

Secret names to resolve in the authenticated workspace.

Response

A successful response.

ok
boolean
errorMsg
string
pid
integer<int32>
done
boolean
exitCode
integer<int32>
stdout
string
stderr
string